- Create a content import source
You can create a new content import source by sending a POST request to this endpoint.
OAuth tokens must have the read_write_ai_content scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
If you intend to create or update External Pages via the API, this should be set to api.
The status of the content import source.
The URL of the content import source. It must be an http or https URL whose host is a valid public domain name.
- The production API serverhttps://api.intercom.io/ai/content_import_sources
- The european API serverhttps://api.eu.intercom.io/ai/content_import_sources
- The australian API serverhttps://api.au.intercom.io/ai/content_import_sources
- integer
- Array of integers
curl -i -X POST \
https://api.intercom.io/ai/content_import_sources \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"sync_behavior": "api",
"url": "https://www.example.com"
}'successful
Always content_import_source
The unique identifier for the content import source which is given by Intercom.
The time when the content import source was last synced.
If you intend to create or update External Pages via the API, this should be set to api.
The status of the content import source. A source that is being deleted has the status deletion_in_progress.
The time when the content import source was created.
The time when the content import source was last updated.
{ "id": 36, "type": "content_import_source", "last_synced_at": 1734537261, "status": "active", "url": "https://www.example.com", "sync_behavior": "api", "created_at": 1734537261, "updated_at": 1734537261, "audience_ids": [] }